--- nagios-plugins-1.4.10/plugins/check_nt.c	2007-01-28 18:46:41.000000000 -0300
+++ nagios-plugins-op/plugins/check_nt.c	2007-11-19 15:17:51.000000000 -0200
@@ -55,7 +55,8 @@ enum checkvars {
 	CHECK_PROCSTATE,
 	CHECK_MEMUSE,
 	CHECK_COUNTER,
-	CHECK_FILEAGE
+	CHECK_FILEAGE,
+	CHECK_INSTANCES
 };
 
 enum {
@@ -121,7 +122,7 @@ int main(int argc, char **argv){
 	setlocale (LC_ALL, "");
 	bindtextdomain (PACKAGE, LOCALEDIR);
 	textdomain (PACKAGE);
-
+	
 	if(process_arguments(argc,argv) == ERROR)
 		usage4 (_("Could not parse arguments"));
 
@@ -396,7 +397,6 @@ int main(int argc, char **argv){
         break;
 		
 	case CHECK_FILEAGE:
-
 		if (value_list==NULL)
 			output_message = strdup (_("No counter specified"));
 		else {
@@ -414,7 +414,7 @@ int main(int argc, char **argv){
 					return_code=STATE_WARNING;	
 				else
 					return_code=STATE_OK;	
-			} 
+			}
 			else {                                       /* inverse thresholds */
 				if(check_critical_value==TRUE && age_in_minutes <= critical_value)
 					return_code=STATE_CRITICAL;
@@ -426,6 +426,21 @@ int main(int argc, char **argv){
 		}
 		break;
 
+	case CHECK_INSTANCES:		
+		if (value_list==NULL)
+			output_message = strdup (_("No counter specified"));
+		else {
+			asprintf(&send_buffer,"%s&10&%s", req_password,value_list);
+			fetch_data (server_address, server_port, send_buffer);
+			if (!strncmp(recv_buffer,"ERROR",5)) {
+				printf("NSClient - %s\n",recv_buffer);
+				exit(STATE_UNKNOWN);
+			}
+			asprintf(&output_message,"%s",recv_buffer);			
+			return_code=STATE_OK;
+		}
+		break;
+
 	case CHECK_NONE:
 	default:
 		usage4 (_("Please specify a variable to check"));
@@ -483,14 +498,13 @@ int process_arguments(int argc, char **a
       strcpy(argv[c],"-c");
 	}
 
-	while (1){
+	while (1) {
 		c = getopt_long(argc,argv,"+hVH:t:c:w:p:v:l:s:d:",longopts,&option);
 
 		if (c==-1||c==EOF||c==1)
 			break;
 
-		switch (c)
-			{
+		switch (c) {
 			case '?': /* print short usage statement if args not parsable */
 			usage5 ();
 			case 'h': /* help */
@@ -533,6 +547,8 @@ int process_arguments(int argc, char **a
 					vars_to_check=CHECK_COUNTER;
 				else if(!strcmp(optarg,"FILEAGE"))
 					vars_to_check=CHECK_FILEAGE;
+				else if(!strcmp(optarg,"INSTANCES"))
+					vars_to_check=CHECK_INSTANCES;
 				else
 					return ERROR;
 				break;
@@ -556,7 +572,6 @@ int process_arguments(int argc, char **a
 				if(socket_timeout<=0)
 					return ERROR;
 			}
-
 	}
 
 	if (vars_to_check==CHECK_NONE)
@@ -569,7 +584,6 @@ int process_arguments(int argc, char **a
 }
 
 
-
 void fetch_data (const char *address, int port, const char *sendb) {
 	int result;
 
